Opções de linha de comandos
Anterior |  | Próximo

## Opções de linha de comandos

### Resumo de Opções

Aqui está um resumo de todas as opções, agrupadas por tipo. As explicações estão nas secções seguintes.

Opções Gerais

  `-h`, `--help`; `-V`, `--version`; `--disable-server` ; `--default-display=`mostrar`` ; `--default-working-directory=`directório``

Janela ou Separador

  `--tab` ; `--window`

Opções de Separadores

  `-x`, `--execute`; `-e`, `--command=`comando``; `--working-directory=`directório`` ; `-T`, `--title=`título``; `-H`, `--hold`

Opções de Janelas

  `--display=`mostrar`` ; `--geometry=`geometria`` ; `--role=`regra`` ; `--startup-id=`texto`` ; `-I, --icon=`ícone`` ; `--fullscreen` ; `--maximize` ; `--show-menubar` , `--hide-menubar` ; `--show-borders` , `--hide-borders` ; `--show-toolbars` , `--hide-toolbars`

### Opções Gerais

`-h`, `--help`

  Lista as diferentes opções de linha de comandos suportadas pelo Terminal e sai

`-V`, `--version`

  Mostra a informação de versão e sai

`--disable-server`

  Não registar com o bus de mensagem de sessão D-BUS

`--default-display=`mostrar``

  Ecrã X a usar por omissão.

`--default-working-directory=`directório``

  Definir `directório` como directório de trabalho omisso para o terminal

### Janela ou Separador

`--tab`

  Abrir um novo separador na última janela especificada; mais que uma destas opções pode ser fornecida.

`--window`

  Abrir uma nova janela contendo um separador; mais que uma destas opções pode ser indicada.

### Opções de Separadores

`-x`, `--execute`

  Executa o resto da linha de comandos dentro do terminal

`-e`, `--command=`comando``

  Executar `comando` dentro do terminal

`--working-directory=`directório``

  Definir `directório` como o directório de trabalho para o terminal

`-T`, `--title=`título``

  Definir `título` como título inicial da janela de terminal

`-H`, `--hold`

  Manter o terminal activo depois do comando filho terminar

### Opções de Janelas

`--display=`mostrar``

  Ecrã X a usar na última janela especificada

`--geometry=`geometria``

  Define a geometria da última janela especificada a `geometria`. Leia X(7) para mais informações sobre a especificação da geometria das janelas.

`--role=`regra``

  Define a regra da última janela especificada para `regra`. Aplica-se apenas a uma janela e pode ser especificada uma vez para cada janela que criar na linha de comandos. Usado principalmente para a gestão da sessão dentro do Terminal.

`--startup-id=`texto``

  Define o id de notificação de inicialização para a última janela especificada. Usada internamente para seguir o mesmo id ao usar o serviço D-BUS.

`-I, --icon=`ícone``

  Definir o ícone do terminal como um ícone ou o nome do ficheiro.

`--fullscreen`

  Define a última janela especificada para o modo ecrã inteiro; aplica-se apenas para uma janela; pode ser especificado uma vez para cada janela criada na linha de comandos.

`--maximize`

  Coloca a última janela especificada no modo maximizado; aplica-se apenas a uma janela; pode ser especificado uma vez para cada janela criada na linha de comandos.

`--show-menubar`

  Liga a barra de menu para a última janela especificada. Pode ser especificado uma vez para cada janela criada na linha de comandos.

`--hide-menubar`

  Desliga a barra de menu para a última janela especificada. Pode ser especificado uma vez para cada janela criada na linha de comandos.

`--show-borders`

  Liga as decorações das janelas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

`--hide-borders`

  Desliga as decorações de janelas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

`--show-toolbars`

  Liga a barra de ferramentas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

`--hide-toolbars`

  Desliga a barra de ferramentas para a última janela especificada. Aplica-se apenas a uma janela. Pode ser especificado uma vez para cada janela criada na linha de comandos.

Anterior |  | Próximo
Preferências | Início | Tópicos avançados